#include <httpd.h>
#include <rsbac/types.h>

#if !defined(RSBAC_VERSION_NR) || (RSBAC_VERSION_NR) < 66053 \
	|| RSBAC_JAIL_VERSION != 1 
#error Rsbac: Invalid Version. Please upgrade to 1.2.5
#endif
#if defined(APACHE_RELEASE) && APACHE_RELEASE>10300000 \
	&& APACHE_RELEASE<10399999
#include "src/apache13/helpers.c"
#include "src/apache13/mod_rsbac.c"
#define MODJAIL_APACHE_VERSION 13
// The line below makes apxs bootstrap symbol name detection work
// module MODULE_VAR_EXPORT chroot_module = {
#endif

#if !defined(MODJAIL_APACHE_VERSION) && defined(AP_SERVER_BASEVERSION)
#include "src/apache20/mod_rsbac.c"
// The line below makes apxs bootstrap symbol name detection work
// module AP_MODULE_DECLARE_DATA chroot_module = {
#define MODJAIL_APACHE_VERSION 20
#endif

#if !defined(MODJAIL_APACHE_VERSION)
#error Could not detect your Apache version. Please report a bug.
#endif

